package vc.thinker.thirdpartyproxy.protocolimpls.centralAir;

import lombok.AllArgsConstructor;
import lombok.Getter;
import vc.thinker.absctacts.protocolproxy.enums.DataType;
import vc.thinker.absctacts.protocolproxy.enums.IMeterAttrDefine;

/**
 * 中央空调属性协议属性定义
 *
 * @author HeTongHao
 * @since 2021/7/9 16:20
 */
@Getter
@AllArgsConstructor
public enum CentralAirMeterAttrDefine implements IMeterAttrDefine {
    /**
     * 中央空调属性
     */
    electricity("electricity", "电量", DataType.Float),
    coldCapacity("coldCapacity", "冷量", DataType.Int),
    systemCop("systemCop", "系统COP", DataType.Float),
    supplyWaterTemp("supplyWaterTemp", "供水温度", DataType.Float),
    returnWaterTemp("returnWaterTemp", "回水温度", DataType.Float),
    ;
    /**
     * 编号，设备下唯一
     */
    private final String code;
    /**
     * 属性名称
     */
    private final String name;
    /**
     * 数据类型
     */
    private final DataType dataType;
}
